/*
 * Copyright (C) 2010-2022 The ESPResSo project
 * Copyright (C) 2002,2003,2004,2005,2006,2007,2008,2009,2010
 *   Max-Planck-Institute for Polymer Research, Theory Group
 *
 * This file is part of ESPResSo.
 *
 * ESPResSo is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ESPResSo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SHAPES_NOWHERE_HPP
#define SHAPES_NOWHERE_HPP

#include "Shape.hpp"

#include <limits>

namespace Shapes {

/**
 * @brief Dummy shape that is infinitely far away from everything.
 *
 */
class NoWhere : public Shape {
public:
  void calculate_dist(const Utils::Vector3d &, double &dist,
                      Utils::Vector3d &vec) const override {
    dist = std::numeric_limits<double>::infinity();
    vec = {dist, dist, dist};
  }
};

} /* namespace Shapes */

#endif
